import { SvelteComponentTyped } from "svelte";
import type { CodeInputProps } from './types';
declare const __propDef: {
    props: {
        prismJS?: CodeInputProps['prismJS'] | null;
        highlightjs?: CodeInputProps['highlightjs'] | null;
        value: CodeInputProps['value'];
        language: CodeInputProps['language'];
        onChange: CodeInputProps['onChange'];
        placeholder: CodeInputProps['placeholder'];
        resize: CodeInputProps['resize'];
        autoHeight?: boolean | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type CodeInputProps = typeof __propDef.props;
export type CodeInputEvents = typeof __propDef.events;
export type CodeInputSlots = typeof __propDef.slots;
export default class CodeInput extends SvelteComponentTyped<CodeInputProps, CodeInputEvents, CodeInputSlots> {
}
export {};
